Public Member Functions | Protected Attributes

# Gdk::TimeCoord Class Reference

A Gdk::TimeCoord instance contains a single event of motion history. More...

List of all members.

## Public Member Functions
| TimeCoord (GdkTimeCoord* castitem)
guint32 | get_time () const
double | get_value_at_axis (guint index) const
| Gets value at index axis.
GdkTimeCoord* | gobj ()
| Provides access to the underlying C object.
const GdkTimeCoord* | gobj () const
| Provides access to the underlying C object.
## Protected Attributes
GdkTimeCoord* | gobject_

## Detailed Description

A Gdk::TimeCoord instance contains a single event of motion history.

You shouldn't be using it as a standalone object.

## Constructor & Destructor Documentation

Gdk::TimeCoord::TimeCoord | ( | GdkTimeCoord * | castitem ) | `[explicit]`

## Member Function Documentation

guint32 Gdk::TimeCoord::get_time | ( | ) | const

double Gdk::TimeCoord::get_value_at_axis | ( | guint | index ) | const

Gets value at index axis.

Note:
  Gdk::Device::get_n_axes() will tell you how many axes are stored here.

Parameters:

  index | Index of an axis from which the value will be taken.

Returns:
  A value at index.

GdkTimeCoord* Gdk::TimeCoord::gobj | ( | ) | `[inline]`

Provides access to the underlying C object.

const GdkTimeCoord* Gdk::TimeCoord::gobj | ( | ) | const`[inline]`

Provides access to the underlying C object.

## Member Data Documentation

GdkTimeCoord* Gdk::TimeCoord::gobject_`[protected]`

The documentation for this class was generated from the following file:

- gdkmm/timecoord.h